# Audit Engagement Letter

Produces an Audit Engagement Letter for the specified fund, formalising the terms of the annual audit engagement between the trustee and the appointed SMSF auditor in accordance with applicable auditing standards.

Endpoint: POST /f/{businessCode}/{fundCode}/report-data/report-generator/AuditEngagementLetter
Version: 1.0
Security: Class_oAuth

## Path parameters:

  - `businessCode` (string, required)
    Class business code

  - `fundCode` (string, required)
    Class entity code

## Query parameters:

  - `outputFormat` (string, required)
    Specifies the desired output format for the generated report. Accepted values are pdf, csv, or rtf.

  - `year` (integer, required)
    The financial year to retrieve information

  - `dateOfLetter` (string)

  - `expectedAuditFee` (number)
    Provides a section on the report that includes a breakdown of the estimate of the costs associated with the scope of work with the auditor.

  - `noteHtml_Value` (string)
    Provides short text description on the report

  - `isReportHeader` (string)
    This will turn on the report header logo.

  - `isDraftWM` (string)
    This will turn on a draft watermark on each page.

  - `isPageFooter` (string)
    This will turn on the page footer.

## Header parameters:

  - `Content-Type` (string, required)
    Specifies the media type expected in the response. Must always be set to application/pdf regardless of the desired output format.

## Response 400 fields (application/json):

  - `Errors` (array)

  - `Errors.code` (string)

  - `Errors.message` (string)

## Response 401 fields (application/json):

  - `Errors` (array)

  - `Errors.Code` (string)
    Example: API_NOT_AUTHORISED

  - `Errors.Message` (string)
    Example: Not authorised

## Response 403 fields (application/json):

  - `Errors` (array)

  - `Errors.Code` (string)
    Example: FORBIDDEN

  - `Errors.Message` (string)
    Example: You do not have permission to access this resource.

## Response 404 fields (application/json):

  - `Errors` (array)

  - `Errors.Code` (string)
    Example: API_NOT_FOUND

  - `Errors.Message` (string)
    Example: Resource not available or user does not have access to the fund.

## Response 500 fields (application/json):

  - `Errors` (array)

  - `Errors.Code` (string)
    Example: API_INTERNAL_ERROR

  - `Errors.Message` (string)
    Example: An unexpected error occurred on the server. Please try again later.

## Response default fields (application/json):

  - `Errors` (array)

  - `Errors.Code` (string)
    Example: API_INTERNAL_ERROR

  - `Errors.Message` (string)
    Example: An unexpected error occurred on the server. Please try again later.

